{
        "name" : "GoogleReadSheetValues",
        "displayName" : "GoogleReadSheetValues",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.google.sheets.ReadSheetValuesWorkitemHandler(\"appName\", \"clentSecret\")",
        "documentation" : "google-sheets-workitem/index.html",
        "module" : "google-sheets-workitem",
        "icon" : "GoogleReadSheetValues.png",
            "category" : "Google Sheets",
            "description" : "Read content of sheets via Google",
            "keywords" : [
                                "google"
                ,"sheets"
                ,"read"

            ],
                "isaction" : "true",
                "actiontitle" : "Read spreadsheet using Google Sheets",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Google app name"
                                           }
                    ,{
                                               "name" : "Google client secret"
                                           }

                ],
                "authreferencesite" : "https://developers.google.com/sheets/api/guides/authorizing",
            "parameters" : [
                                   {
                                       "name" : "SheetId",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Range",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "SheetValues",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "google-sheets-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
